<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

/** @var $block \Magento\Catalog\Block\Product\View */
?>
<style type="text/css">
	.bundle-info .price-box {
		display: none;
	}
	#attributedescription .nav-tabs, #additional  .nav-tabs{
		margin-bottom: 10px;
	}
	#attributedescription .nav-tabs li, #additional .nav-tabs li{
		width: 50%;
		text-align: center;
	}
	#attributedescription .nav-tabs li a, #additional .nav-tabs li a{
		color: #50b3da;
	}
	#attributedescription .nav-tabs li.active a, #additional .nav-tabs li.active a{
		color: #555;
		background: #F4F4F4;
	}
	.box-tocart span {
		padding-right: 10px;
	}
</style>
<?php $_product = $block->getProduct(); $sku = $_product->getSku(); ?>

<?php $themeHelper = $this->helper('MGS\Mpanel\Helper\Data'); ?>
<?php

$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$discountBundle = '';
$finalPrice = '';

$rule_discount = $objectManager->create('Magento\SalesRule\Model\Rule')->load(33);
$discountAmount = 0;
if($rule_discount->getData('is_active')){
	$discountAmount = $rule_discount->getData('discount_amount');	
}

if($_product->getCouponCode()){
	$discountBundle = $_product->getCouponCode();	
	$originalPrice = $_product->getPriceInfo()->getPrice('final_price')->getMaximalPrice()->getValue();
	$finalPrice = $originalPrice;
	if($discountAmount != 0){
		$finalPrice = $originalPrice - ($discountAmount * $originalPrice)/ 100;	
	}
	$priceHelper = $objectManager->create('Magento\Framework\Pricing\Helper\Data'); 
	$originalPrice = $priceHelper->currency($originalPrice, true, false); 
	$finalPrice = $priceHelper->currency($finalPrice, true, false); 
}


$rule_id = 2;
$storeManager = $objectManager->get('\Magento\Store\Model\StoreManagerInterface');
$storeId = $storeManager->getStore()->getStoreId();
$retunDays = 30;
if($storeId == 35){
  $retunDays = 14;
}
$websiteId = $storeManager->getStore()->getWebsiteId();
    $rule_id = 2;
	if ($websiteId == 1 || $websiteId == 2) {
			$rule_id = 2;
		} elseif ($websiteId == 5) {
			$rule_id = 10;
		} elseif ($websiteId == 4) {
			$rule_id = 9;
		} elseif ($websiteId == 3) {
			$rule_id = 8;
		}
$rule = $objectManager->create('Magento\SalesRule\Model\Rule')->load($rule_id);
    //To get conditions

    $ser = $rule->getConditionsSerialized();

    $abovePrice = json_decode($ser)->conditions[0]->value;
    $abovePrice = $this->helper('Magento\Framework\Pricing\Helper\Data')->currency($abovePrice, true, false);


?>

<?php $_product = $block->getProduct(); ?>
<?php $lifetime_warranty = $_product->getWarranty(); ?>
<?php $buttonTitle = __('Add to Cart'); ?>
<?php if ($_product->isSaleable()) :?>
	<div id="outofstock" class="product-info-stock-sku 111" style="display: none;">
							            <div class="stock unavailable" title="Availability">
            <span>
            	Sold Out
            </span>
        </div>
    							</div>
<div class="box-tocart">
			<div style="margin-bottom: 23px;color: #000;">
				<?php if($discountAmount != 0){?>
					<span style="text-decoration: line-through;font-size: 1.0rem;">
						<?php echo $originalPrice; ?>
					</span>
				<?php } ?>
				<span  style="text-decoration;font-size: 1.2rem;">
					<?php echo $finalPrice; ?>
				</span>
				<?php if($discountAmount != 0){?>
					<span class="badge price__badge-sale color-accent-2"><?php echo (int) $discountAmount; ?>% OFF</span>
				<?php } ?>
			</div>
        
        
       

	<?php //if($_product->getShowCustomBlock()){ ?>
			<div class="ship-wrapper">
				<div class="ship-wrapper-data">
					<img class="img-responsive" src="/media/wysiwyg/day-returns.png" alt="<?php echo $retunDays; ?> Days Returns">
					<span class="ship-wrapper-info"><?php echo $retunDays; ?> <?php echo __('Days Returns'); ?></span>
				</div>
				<?php if($lifetime_warranty) {?>
				<div class="ship-wrapper-data">
					<img class="img-responsive" src="/media/wysiwyg/year-warranty.png" alt="Warranty">
						<span class="ship-wrapper-info"> <?php echo $lifetime_warranty; ?> Warranty</span>
				</div>
				<?php } ?>
				<div class="ship-wrapper-data">
					<img class="img-responsive" src="/media/wysiwyg/free-shipping-over.png" alt="Free Shipping over">
					<?php if($storeId == 35 ){?>
						<span class="ship-wrapper-info">
							Free Shipping </span>
					<?php }else{ ?>
					<span class="ship-wrapper-info"><?php echo __('Free Shipping over'); ?> <?php echo  str_replace('.00', '', str_replace(',00', '', $abovePrice)); ?></span>
					<?php } ?>
				</div>
			</div>
		<?php //} ?>
		
		
    <div class="fieldset">
    	<div class="field name-price" style="display: none;">
    		<div class="name">
    			<?php echo $_product->getName(); ?>
    		</div>
    		<div class="price sticky-price">
    			<?php echo $this->getLayout()
          		->createBlock('Magento\Catalog\Pricing\Render',
                  "product.price.final.mobile",
                    [
                        'data' => [
                            'price_render' => 'product.price.render.default',
                            'price_type_code' => 'final_price',
                            'zone' => 'item_view'
                        ]
                   ]
                  )
          ->toHtml();?>
    		</div>
    		
    	</div>
        <?php if ($block->shouldRenderQuantity()) :?>
        <div class="field qty">
            <label class="label" for="qty"><span><?= $block->escapeHtml(__('Qty')) ?></span></label>
            <div class="control">
						<span class="edit-qty minus" onclick="minusQty('qty')">-</span>
						<input type="number"
								 name="qty"
								 id="qty"
								 maxlength="12"
								 value="<?php /* @escapeNotVerified */ echo $block->getProductDefaultQty() * 1 ?>"
								 title="<?php /* @escapeNotVerified */ echo __('Qty') ?>" class="input-text qty"
								 data-validate="<?php echo $block->escapeHtml(json_encode($block->getQuantityValidators())) ?>"
								 />
								 <span class="edit-qty plus" onclick="plusQty('qty')">+</span>
					</div>
        </div>
        <?php endif; ?>
        <div class="actions">
            <button type="submit"
                    title="<?= $block->escapeHtmlAttr($buttonTitle) ?>"
                    class="action primary tocart btn btn-primary hvr-wobble-vertical"
                    id="product-addtocart-button" disabled>
                <span><?= $block->escapeHtml($buttonTitle) ?></span>
            </button>
            <div class="product-info-stock-sku">
							<div class="stock available"><span><div id="preorderId"></div></span></div>							
		</div>
            <?= $block->getChildHtml('', true) ?>
        </div>
    </div>
</div>
<?php endif; ?>
<?php if (!$_product->isSaleable()) :?>
<div class="ship-wrapper" style="padding-top: 30px;">
				<div class="ship-wrapper-data">
					<img class="img-responsive" src="/media/wysiwyg/Icons/refresh.png" alt="<?php echo $retunDays; ?> Days Returns">
					<span class="ship-wrapper-info"><?php echo $retunDays; ?> <?php echo __('Days Returns'); ?></span>
				</div>
				<?php if($lifetime_warranty) {?>
				<div class="ship-wrapper-data">
					<img class="img-responsive" src="/media/wysiwyg/Icons/warranty.png" alt="Warranty">
						<span class="ship-wrapper-info"> <?php echo $lifetime_warranty; ?> Warranty</span>
				</div>
				<?php } ?>
				<div class="ship-wrapper-data">
					<img class="img-responsive" src="/media/wysiwyg/Icons/ship-truck.png" alt="Free Shipping over">
					<span class="ship-wrapper-info"><?php echo __('Free Shipping over'); ?> <?php echo  str_replace('.00', '', str_replace(',00', '', $abovePrice)); ?></span>
				</div>
			</div>
<?php endif; ?>
<script type="text/x-magento-init">
    {
        "#product_addtocart_form": {
            "Magento_Catalog/js/validate-product": {}
        }
    }
</script>
<?php if ($block->shouldRenderQuantity()): ?>
	<script type="text/javascript">
		function plusQty(qtyInput){
			require([
			'jquery'
			], function(jQuery){
				(function($) {
					if($('#'+qtyInput).attr('disabled')!='disabled'){
						qty = $('#'+qtyInput).attr('value');
						qty = parseInt(qty);
						qty++;
						$('#'+qtyInput).val(qty);
					}
				})(jQuery);
			});

		}
		function minusQty(qtyInput){
			require([
			'jquery'
			], function(jQuery){
				(function($) {
					if($('#'+qtyInput).attr('disabled')!='disabled'){
						qty = $('#'+qtyInput).attr('value');
						qty = parseInt(qty);

						if(qty>1){
							qty--;
							$('#'+qtyInput).val(qty);
						}
					}
				})(jQuery);
			});
		}
	</script>
<?php endif; ?>
